This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 764711 - (GLUSTER-2979) Improper output when 'min-file-size' is more than 'max-file-size' in volume set
Improper output when 'min-file-size' is more than 'max-file-size' in volume set
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.3
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Rahul C S
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-02 06:02 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2011-06-02 06:02:06 EDT
When I run following command in 3.1.3

root@tortuga:/tmp# /opt/313/sbin/gluster volume set hosdu performance.cache-max-file-size 10MB
Set volume successful
root@tortuga:/tmp# /opt/313/sbin/gluster volume set hosdu performance.cache-min-file-size 15MB
Error, min-file-size greaterthan max-file-size
root@tortuga:/tmp# 

There should be cosmetic changes in the output. The output should be "Error, min-file-size greater than max-file-size". There should be space between 'greater' and 'than'.
Comment 1 Anand Avati 2011-06-08 09:58:08 EDT
PATCH: http://patches.gluster.com/patch/7366 in release-3.1 (Fixed improper output when 'min-file-size' is more than 'max-file-size' in volume set)

Note You need to log in before you can comment on or make changes to this bug.